Index: other-projects/gs2-multi-os-merge/MERGE-GREENSTONE2S.sh
===================================================================
--- other-projects/gs2-multi-os-merge/MERGE-GREENSTONE2S.sh	(revision 23950)
+++ other-projects/gs2-multi-os-merge/MERGE-GREENSTONE2S.sh	(revision 23950)
@@ -0,0 +1,128 @@
+#!/bin/bash
+
+echo ""
+echo "Merging into MacOS Installed version of Greenstone"
+echo ""
+
+export LINUX32_GSDL_HOME=Greenstone-EGL-Linux32
+export LINUX64_GSDL_HOME=Greenstone-EGL-Linux64
+export WINDOWS_GSDL_HOME=Greenstone-EGL-Windows
+##export DARWIN_GSDL_HOME=Greenstone-EGL-Darwin
+
+export MERGED_GSDL_HOME=Greenstone-EGL-USB
+
+if [ ! -d "$MERGED_GSDL_HOME/jre" ] ; then
+  mkdir "$MERGED_GSDL_HOME/jre"
+fi
+
+
+if [ -d "$WINDOWS_GSDL_HOME" ] ; then
+
+  echo "#----"
+  echo "# Merging in Windows"
+  echo "#----"
+
+  /bin/cp -v -u -r "$WINDOWS_GSDL_HOME/bin/windows" "$MERGED_GSDL_HOME/bin/."
+
+  /bin/cp -v -u -r "$WINDOWS_GSDL_HOME/packages/jre" "$MERGED_GSDL_HOME/jre/windows"
+
+  /bin/cp -v -u -r "$WINDOWS_GSDL_HOME/perllib/cpan" "$MERGED_GSDL_HOME/perllib/."
+
+  /bin/cp -v -u -r "$WINDOWS_GSDL_HOME/apache-httpd/windows" "$MERGED_GSDL_HOME/apache-httpd/."
+
+  if [ -d "$WINDOWS_GSDL_HOME/cgi-bin/windows" ] ; then
+    /bin/cp -v -u -r "$WINDOWS_GSDL_HOME/cgi-bin/windows" "$MERGED_GSDL_HOME/cgi-bin/."
+  else
+
+    /bin/cp -v -u -r "$WINDOWS_GSDL_HOME/cgi-bin" "$MERGED_GSDL_HOME/cgi-bin/windows"
+
+    echo ""
+    echo "----"
+    echo "Remember to edit:"
+    echo "  $WINDOWS_GSDL_HOME/apache-httpd/windows/conf/httpd.conf"
+    echo "to set Greenstone's cgi-bin directory to match:"
+    echo "  **GSDLHOME**/cgi-bin/windows"  
+    echo "----"
+    echo ""
+  fi
+
+  /bin/cp -v -u $WINDOWS_GSDL_HOME/*.bat $MERGED_GSDL_HOME/.
+  /bin/cp -v -u $WINDOWS_GSDL_HOME/gli/*.bat $MERGED_GSDL_HOME/gli/.
+
+fi
+
+
+if [ -d "$LINUX32_GSDL_HOME" ] ; then
+  echo "#----"
+  echo "# Merging in Linux 32-bits"
+  echo "#----"
+
+  if [ -d "$LINUX32_GSDL_HOME/perllib/cpan/XML/share/man/man3" ] ; then
+    /bin/rm -rf "$LINUX32_GSDL_HOME/perllib/cpan/XML/share/man/man3" 
+  fi
+
+  /bin/cp -v -u -r "$LINUX32_GSDL_HOME/bin/linux" "$MERGED_GSDL_HOME/bin/linux32"
+  /bin/cp -v -u -r "$LINUX32_GSDL_HOME/lib/linux" "$MERGED_GSDL_HOME/lib/linux32"
+
+  /bin/cp -v -u -r "$LINUX32_GSDL_HOME/packages/jre" "$MERGED_GSDL_HOME/jre/linux32"
+
+  /bin/cp -v -u -r "$LINUX32_GSDL_HOME/perllib/cpan" "$MERGED_GSDL_HOME/perllib/."
+
+  /bin/cp -v -u -r "$LINUX32_GSDL_HOME/apache-httpd/linux" "$MERGED_GSDL_HOME/apache-httpd/linux32"
+
+  if [ -d "$LINUX32_GSDL_HOME/cgi-bin/linux" ] ; then
+    /bin/cp -v -u -r "$LINUX32_GSDL_HOME/cgi-bin/linux" "$MERGED_GSDL_HOME/cgi-bin/linux32"
+  else
+
+    /bin/cp -v -u -r "$LINUX32_GSDL_HOME/cgi-bin" "$MERGED_GSDL_HOME/cgi-bin/linux32"
+
+    echo ""
+    echo "----"
+    echo "Remember to edit:"
+    echo "  $LINUX32_GSDL_HOME/apache-httpd/linux32/conf/httpd.conf"
+    echo "to set Greenstone's cgi-bin directory to match:"
+    echo "  **GSDLHOME**/cgi-bin/linux32"  
+    echo "----"
+    echo ""
+  fi
+
+
+fi
+
+if [ -d "$LINUX64_GSDL_HOME" ] ; then
+  echo "#----"
+  echo "# Merging in Linux 64-bits"
+  echo "#----"
+
+  if [ -d "$LINUX64_GSDL_HOME/perllib/cpan/XML/share/man/man3" ] ; then
+    /bin/rm -rf "$LINUX64_GSDL_HOME/perllib/cpan/XML/share/man/man3" 
+  fi
+
+  /bin/cp -v -u -r "$LINUX64_GSDL_HOME/bin/linux" "$MERGED_GSDL_HOME/bin/linux64"
+  /bin/cp -v -u -r "$LINUX64_GSDL_HOME/lib/linux" "$MERGED_GSDL_HOME/lib/linux64"
+
+  /bin/cp -v -u -r "$LINUX64_GSDL_HOME/packages/jre" "$MERGED_GSDL_HOME/jre/linux64"
+
+  /bin/cp -v -u -r "$LINUX64_GSDL_HOME/perllib/cpan" "$MERGED_GSDL_HOME/perllib/."
+
+  /bin/cp -v -u -r "$LINUX64_GSDL_HOME/apache-httpd/linux" "$MERGED_GSDL_HOME/apache-httpd/linux64"
+
+  if [ -d "$LINUX64_GSDL_HOME/cgi-bin/linux" ] ; then
+    /bin/cp -v -u -r "$LINUX64_GSDL_HOME/cgi-bin/linux" "$MERGED_GSDL_HOME/cgi-bin/linux64"
+  else
+
+    /bin/cp -v -u -r "$LINUX64_GSDL_HOME/cgi-bin" "$MERGED_GSDL_HOME/cgi-bin/linux64"
+
+    echo ""
+    echo "----"
+    echo "Remember to edit:"
+    echo "  $LINUX64_GSDL_HOME/apache-httpd/linux64/conf/httpd.conf"
+    echo "to set Greenstone's cgi-bin directory to match:"
+    echo "  **GSDLHOME**/cgi-bin/linux64"  
+    echo "----"
+    echo ""
+  fi
+
+fi
+
+
Index: other-projects/gs2-multi-os-merge/RESET-GREENSTONE.bat
===================================================================
--- other-projects/gs2-multi-os-merge/RESET-GREENSTONE.bat	(revision 23950)
+++ other-projects/gs2-multi-os-merge/RESET-GREENSTONE.bat	(revision 23950)
@@ -0,0 +1,34 @@
+@echo off
+
+set startdir=%CD%
+cd /d "%~dp0"
+
+call setup.bat
+
+echo %GSDLHOME%
+
+
+:: Regenerate log4j.properites in lib\java, used by gs2-server.bat
+set sed=%GSDLHOME%\bin\windows\sed.exe
+set log4jprop=%GSDLHOME%\lib\java\log4j.properties
+
+
+:: Convert GSDLHOME to Unix style slashes, for Log4j config file
+for /F "delims=" %%i IN ('call backslashes-to-forwardslashes.bat %GSDLHOME%') do @set GSDLHOMEUNIX=%%i
+
+
+::for /F "delims=" %%i IN ('call "escape-backslashes.bat" %GSDLHOME%') do @set GSDLHOMEESC=%%i
+
+
+::"%sed%" "s^@gsdl2home@^%GSDLHOMEESC%^g" "%log4jprop%.in" > "%log4jprop%"
+
+sed "s^@gsdl2home@^%GSDLHOMEUNIX%^g" "%log4jprop%.in" > "%log4jprop%"
+
+
+del %GSDLHOME%\cgi-bin\windows\gsdlsite.cfg
+%GSDLHOME%\gsicontrol.bat configure-web
+
+
+cd "%startdir%"
+set startdir=
+
Index: other-projects/gs2-multi-os-merge/RESET-GREENSTONE.sh
===================================================================
--- other-projects/gs2-multi-os-merge/RESET-GREENSTONE.sh	(revision 23950)
+++ other-projects/gs2-multi-os-merge/RESET-GREENSTONE.sh	(revision 23950)
@@ -0,0 +1,60 @@
+#!/bin/bash
+
+storedir="`pwd`"
+thisdir="`dirname \"$0\"`"
+thisdir="`cd \"$thisdir\" && pwd`"
+cd "$thisdir"
+source setup.bash
+
+apache_home_os="$GSDLHOME/apache-httpd/$GSDLOS$GSDLARCH"
+
+replace_list="conf/extra/httpd-dav.conf \
+	        conf/extra/httpd-manual.conf \
+	        conf/extra/httpd-autoindex.conf \
+	        conf/extra/httpd-vhosts.conf \
+	        conf/extra/httpd-ssl.conf \
+	        conf/extra/httpd-multilang-errordoc.conf \
+	        conf/original/extra/httpd-dav.conf \
+	        conf/original/extra/httpd-manual.conf \
+	        conf/original/extra/httpd-autoindex.conf \
+	        conf/original/extra/httpd-vhosts.conf \
+	        conf/original/extra/httpd-ssl.conf \
+	        conf/original/extra/httpd-multilang-errordoc.conf \
+	        conf/original/httpd.conf\
+	        lib/apr-util-1/apr_dbd_odbc.la \
+	        lib/apr-util-1/apr_dbd_sqlite3.la \
+	        lib/pkgconfig/apr-util-1.pc \
+	        lib/pkgconfig/apr-1.pc \
+	        lib/libaprutil-1.la \
+	        lib/libapr-1.la \
+	        build/config_vars.mk \
+	        build/config.nice \
+	        build/apr_rules.mk \
+	        bin/apu-1-config \
+	        bin/apr-1-config \
+	        include/ap_config_auto.h \
+	        include/ap_config_layout.h"
+
+for one_file in apachectl envvars envvars-std ; do 
+  /bin/cp "$apache_home_os/bin/$one_file.in" "$apache_home_os/bin/$one_file"
+done ; 
+
+for one_file in $replace_list ; do 
+  /bin/cp "$apache_home_os/$one_file.in" "$apache_home_os/$one_file"
+done 
+
+/bin/cp "$apache_home_os/bin/apr-1-config.in" "$apache_home_os/bin/apr-1-config"
+
+/bin/cp "$apache_home_os/bin/apu-1-config.in" "$apache_home_os/bin/apu-1-config"
+
+/bin/cp "$apache_home_os/build/config_vars.mk.in" "$apache_home_os/build/config_vars.mk"
+
+bash "$apache_home_os/install-bindist.sh" "$apache_home_os"
+
+log4jprop=$GSDLHOME/lib/java/log4j.properties
+sed "s^@gsdl2home@^$GSDLHOME^g" "$log4jprop.in" > "$log4jprop"
+
+/bin/rm $GSDLHOME/cgi-bin/$GSDLOS$GSDLARCH/gsdlsite.cfg
+$GSDLHOME/gsicontrol.sh configure-web
+
+cd "$storedir"
Index: other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone.sln
===================================================================
--- other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone.sln	(revision 23950)
+++ other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone.sln	(revision 23950)
@@ -0,0 +1,20 @@
+﻿
+Microsoft Visual Studio Solution File, Format Version 10.00
+# Visual Studio 2008
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "USB-Run-Greenstone", "USB-Run-Greenstone\USB-Run-Greenstone.vcproj", "{AFF1033C-5C60-4CCA-916C-EF215A7F3F77}"
+EndProject
+Global
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|Win32 = Debug|Win32
+		Release|Win32 = Release|Win32
+	EndGlobalSection
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{AFF1033C-5C60-4CCA-916C-EF215A7F3F77}.Debug|Win32.ActiveCfg = Debug|Win32
+		{AFF1033C-5C60-4CCA-916C-EF215A7F3F77}.Debug|Win32.Build.0 = Debug|Win32
+		{AFF1033C-5C60-4CCA-916C-EF215A7F3F77}.Release|Win32.ActiveCfg = Release|Win32
+		{AFF1033C-5C60-4CCA-916C-EF215A7F3F77}.Release|Win32.Build.0 = Release|Win32
+	EndGlobalSection
+	GlobalSection(SolutionProperties) = preSolution
+		HideSolutionNode = FALSE
+	EndGlobalSection
+EndGlobal
Index: other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/ReadMe.txt
===================================================================
--- other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/ReadMe.txt	(revision 23950)
+++ other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/ReadMe.txt	(revision 23950)
@@ -0,0 +1,33 @@
+========================================================================
+    CONSOLE APPLICATION : USB-Run-Greenstone Project Overview
+========================================================================
+
+AppWizard has created this USB-Run-Greenstone application for you.
+
+This file contains a summary of what you will find in each of the files that
+make up your USB-Run-Greenstone application.
+
+
+USB-Run-Greenstone.vcproj
+    This is the main project file for VC++ projects generated using an Application Wizard.
+    It contains information about the version of Visual C++ that generated the file, and
+    information about the platforms, configurations, and project features selected with the
+    Application Wizard.
+
+USB-Run-Greenstone.cpp
+    This is the main application source file.
+
+/////////////////////////////////////////////////////////////////////////////
+Other standard files:
+
+StdAfx.h, StdAfx.cpp
+    These files are used to build a precompiled header (PCH) file
+    named USB-Run-Greenstone.pch and a precompiled types file named StdAfx.obj.
+
+/////////////////////////////////////////////////////////////////////////////
+Other notes:
+
+AppWizard uses "TODO:" comments to indicate parts of the source code you
+should add to or customize.
+
+/////////////////////////////////////////////////////////////////////////////
Index: other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/Release/USB-Run-Greenstone.exe.intermediate.manifest
===================================================================
--- other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/Release/USB-Run-Greenstone.exe.intermediate.manifest	(revision 23950)
+++ other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/Release/USB-Run-Greenstone.exe.intermediate.manifest	(revision 23950)
@@ -0,0 +1,15 @@
+<?xml version='1.0' encoding='UTF-8' standalone='yes'?>
+<assembly xmlns='urn:schemas-microsoft-com:asm.v1' manifestVersion='1.0'>
+  <trustInfo xmlns="urn:schemas-microsoft-com:asm.v3">
+    <security>
+      <requestedPrivileges>
+        <requestedExecutionLevel level='asInvoker' uiAccess='false' />
+      </requestedPrivileges>
+    </security>
+  </trustInfo>
+  <dependency>
+    <dependentAssembly>
+      <assemblyIdentity type='win32' name='Microsoft.VC90.CRT' version='9.0.21022.8' processorArchitecture='x86' publicKeyToken='1fc8b3b9a1e18e3b' />
+    </dependentAssembly>
+  </dependency>
+</assembly>
Index: other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/Release/mt.dep
===================================================================
--- other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/Release/mt.dep	(revision 23950)
+++ other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/Release/mt.dep	(revision 23950)
@@ -0,0 +1,1 @@
+Manifest resource last updated at 18:16:52.36 on Sat 23/04/2011 
Index: other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/USB-Run-Greenstone.cpp
===================================================================
--- other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/USB-Run-Greenstone.cpp	(revision 23950)
+++ other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/USB-Run-Greenstone.cpp	(revision 23950)
@@ -0,0 +1,12 @@
+// USB-Run-Greenstone.cpp : Defines the entry point for the console application.
+//
+
+#include "stdafx.h"
+#include <stdlib.h>
+
+int _tmain(int argc, _TCHAR* argv[])
+{
+	return system("USB-RUN-GREENSTONE.bat");
+	
+}
+
Index: other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/USB-Run-Greenstone.rc
===================================================================
--- other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/USB-Run-Greenstone.rc	(revision 23950)
+++ other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/USB-Run-Greenstone.rc	(revision 23950)
@@ -0,0 +1,72 @@
+// Microsoft Visual C++ generated resource script.
+//
+#include "resource.h"
+
+#define APSTUDIO_READONLY_SYMBOLS
+/////////////////////////////////////////////////////////////////////////////
+//
+// Generated from the TEXTINCLUDE 2 resource.
+//
+#include "afxres.h"
+
+/////////////////////////////////////////////////////////////////////////////
+#undef APSTUDIO_READONLY_SYMBOLS
+
+/////////////////////////////////////////////////////////////////////////////
+// English (New Zealand) resources
+
+#if !defined(AFX_RESOURCE_DLL) || defined(AFX_TARG_ENZ)
+#ifdef _WIN32
+LANGUAGE LANG_ENGLISH, SUBLANG_ENGLISH_NZ
+#pragma code_page(1252)
+#endif //_WIN32
+
+#ifdef APSTUDIO_INVOKED
+/////////////////////////////////////////////////////////////////////////////
+//
+// TEXTINCLUDE
+//
+
+1 TEXTINCLUDE 
+BEGIN
+    "resource.h\0"
+END
+
+2 TEXTINCLUDE 
+BEGIN
+    "#include ""afxres.h""\r\n"
+    "\0"
+END
+
+3 TEXTINCLUDE 
+BEGIN
+    "\r\n"
+    "\0"
+END
+
+#endif    // APSTUDIO_INVOKED
+
+
+/////////////////////////////////////////////////////////////////////////////
+//
+// Icon
+//
+
+// Icon with lowest ID value placed first to ensure application icon
+// remains consistent on all systems.
+IDI_ICON1               ICON                    "Server.ico"
+#endif    // English (New Zealand) resources
+/////////////////////////////////////////////////////////////////////////////
+
+
+
+#ifndef APSTUDIO_INVOKED
+/////////////////////////////////////////////////////////////////////////////
+//
+// Generated from the TEXTINCLUDE 3 resource.
+//
+
+
+/////////////////////////////////////////////////////////////////////////////
+#endif    // not APSTUDIO_INVOKED
+
Index: other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/USB-Run-Greenstone.vcproj
===================================================================
--- other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/USB-Run-Greenstone.vcproj	(revision 23950)
+++ other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/USB-Run-Greenstone.vcproj	(revision 23950)
@@ -0,0 +1,237 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="9.00"
+	Name="USB-Run-Greenstone"
+	ProjectGUID="{AFF1033C-5C60-4CCA-916C-EF215A7F3F77}"
+	RootNamespace="USBRunGreenstone"
+	Keyword="Win32Proj"
+	TargetFrameworkVersion="196613"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="1"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE"
+				MinimalRebuild="true"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="3"
+				UsePrecompiledHeader="2"
+				WarningLevel="3"
+				DebugInformationFormat="4"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				LinkIncremental="2"
+				GenerateDebugInformation="true"
+				SubSystem="1"
+				TargetMachine="1"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="1"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="2"
+				EnableIntrinsicFunctions="true"
+				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE"
+				RuntimeLibrary="2"
+				EnableFunctionLevelLinking="true"
+				UsePrecompiledHeader="2"
+				WarningLevel="3"
+				DebugInformationFormat="3"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				LinkIncremental="1"
+				GenerateDebugInformation="true"
+				SubSystem="1"
+				OptimizeReferences="2"
+				EnableCOMDATFolding="2"
+				TargetMachine="1"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath=".\stdafx.cpp"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						UsePrecompiledHeader="1"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						UsePrecompiledHeader="1"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\USB-Run-Greenstone.cpp"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath=".\resource.h"
+				>
+			</File>
+			<File
+				RelativePath=".\stdafx.h"
+				>
+			</File>
+			<File
+				RelativePath=".\targetver.h"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
+			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
+			>
+			<File
+				RelativePath="E:\Icons\Server.ico"
+				>
+			</File>
+			<File
+				RelativePath=".\USB-Run-Greenstone.rc"
+				>
+			</File>
+		</Filter>
+		<File
+			RelativePath=".\ReadMe.txt"
+			>
+		</File>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/USB-Run-Greenstone.vcproj.Flowers.David.user
===================================================================
--- other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/USB-Run-Greenstone.vcproj.Flowers.David.user	(revision 23950)
+++ other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/USB-Run-Greenstone.vcproj.Flowers.David.user	(revision 23950)
@@ -0,0 +1,65 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioUserFile
+	ProjectType="Visual C++"
+	Version="9.00"
+	ShowAllFiles="false"
+	>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			>
+			<DebugSettings
+				Command="$(TargetPath)"
+				WorkingDirectory=""
+				CommandArguments=""
+				Attach="false"
+				DebuggerType="3"
+				Remote="1"
+				RemoteMachine="FLOWERS"
+				RemoteCommand=""
+				HttpUrl=""
+				PDBPath=""
+				SQLDebugging=""
+				Environment=""
+				EnvironmentMerge="true"
+				DebuggerFlavor=""
+				MPIRunCommand=""
+				MPIRunArguments=""
+				MPIRunWorkingDirectory=""
+				ApplicationCommand=""
+				ApplicationArguments=""
+				ShimCommand=""
+				MPIAcceptMode=""
+				MPIAcceptFilter=""
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			>
+			<DebugSettings
+				Command="$(TargetPath)"
+				WorkingDirectory=""
+				CommandArguments=""
+				Attach="false"
+				DebuggerType="3"
+				Remote="1"
+				RemoteMachine="FLOWERS"
+				RemoteCommand=""
+				HttpUrl=""
+				PDBPath=""
+				SQLDebugging=""
+				Environment=""
+				EnvironmentMerge="true"
+				DebuggerFlavor=""
+				MPIRunCommand=""
+				MPIRunArguments=""
+				MPIRunWorkingDirectory=""
+				ApplicationCommand=""
+				ApplicationArguments=""
+				ShimCommand=""
+				MPIAcceptMode=""
+				MPIAcceptFilter=""
+			/>
+		</Configuration>
+	</Configurations>
+</VisualStudioUserFile>
Index: other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/resource.h
===================================================================
--- other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/resource.h	(revision 23950)
+++ other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/resource.h	(revision 23950)
@@ -0,0 +1,16 @@
+//{{NO_DEPENDENCIES}}
+// Microsoft Visual C++ generated include file.
+// Used by USB-Run-Greenstone.rc
+//
+#define IDI_ICON1                       101
+
+// Next default values for new objects
+// 
+#ifdef APSTUDIO_INVOKED
+#ifndef APSTUDIO_READONLY_SYMBOLS
+#define _APS_NEXT_RESOURCE_VALUE        102
+#define _APS_NEXT_COMMAND_VALUE         40001
+#define _APS_NEXT_CONTROL_VALUE         1001
+#define _APS_NEXT_SYMED_VALUE           101
+#endif
+#endif
Index: other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/stdafx.cpp
===================================================================
--- other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/stdafx.cpp	(revision 23950)
+++ other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/stdafx.cpp	(revision 23950)
@@ -0,0 +1,8 @@
+// stdafx.cpp : source file that includes just the standard includes
+// USB-Run-Greenstone.pch will be the pre-compiled header
+// stdafx.obj will contain the pre-compiled type information
+
+#include "stdafx.h"
+
+// TODO: reference any additional headers you need in STDAFX.H
+// and not in this file
Index: other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/stdafx.h
===================================================================
--- other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/stdafx.h	(revision 23950)
+++ other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/stdafx.h	(revision 23950)
@@ -0,0 +1,15 @@
+// stdafx.h : include file for standard system include files,
+// or project specific include files that are used frequently, but
+// are changed infrequently
+//
+
+#pragma once
+
+#include "targetver.h"
+
+#include <stdio.h>
+#include <tchar.h>
+
+
+
+// TODO: reference additional headers your program requires here
Index: other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/targetver.h
===================================================================
--- other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/targetver.h	(revision 23950)
+++ other-projects/gs2-multi-os-merge/visual-studio-run/USB-Run-Greenstone/targetver.h	(revision 23950)
@@ -0,0 +1,13 @@
+#pragma once
+
+// The following macros define the minimum required platform.  The minimum required platform
+// is the earliest version of Windows, Internet Explorer etc. that has the necessary features to run 
+// your application.  The macros work by enabling all features available on platform versions up to and 
+// including the version specified.
+
+// Modify the following defines if you have to target a platform prior to the ones specified below.
+// Refer to MSDN for the latest info on corresponding values for different platforms.
+#ifndef _WIN32_WINNT            // Specifies that the minimum required platform is Windows Vista.
+#define _WIN32_WINNT 0x0600     // Change this to the appropriate value to target other versions of Windows.
+#endif
+