Index: gs3-extensions/i-jetty/trunk/src/resources/index.html
===================================================================
--- gs3-extensions/i-jetty/trunk/src/resources/index.html	(revision 23969)
+++ gs3-extensions/i-jetty/trunk/src/resources/index.html	(revision 23969)
@@ -0,0 +1,42 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
+<html>
+  <head>
+    <meta http-equiv="Content-Type"
+      content="text/html; charset=iso-8859-1">
+     <title>Greenstone Version 3</title>
+     <style type="text/css">
+        li {padding: 0.8em 0;}
+		body {
+			background: #fff url('interfaces/default/images/chalk.gif') scroll repeat-y left top;
+		}
+     </style> 
+  </head>  
+<body bgcolor="#ffffff" text="#000000">
+    
+<p style="text-align:center;">
+<img src="interfaces/default/images/gsdlhead.gif" 
+width="225" height="66" alt="Greenstone Digital Library Software">
+</p>
+
+<div style="margin-left: 90px;">
+
+<h2 style="font-size:110%;font-family:sans-serif;">Welcome to your Greenstone3 installation</h2>
+	
+<ul>	
+<li><a href="testing">Run the test servlet.</a>
+<li><a href="library">Run the default library servlet.</a> View the demo collections that come with Greenstone, using the Greenstone 2 look and feel.
+<li><a href="gs3library">Run the 'standard' servlet.</a> View the same collections using the standard Greenstone 3 look and feel 
+<li><a href="dev">Run the development servlet.</a> Try out the new skin system currently in development 
+<li><a href="gateway">Run the gateway servlet.</a> This uses the standard Greenstone 3 look and feel, and talks via SOAP to the site with the demo collections (localsite).
+<ul>
+<li>Note that SOAP needs to be installed, and a SOAP server needs to be running for localsite.
+</ul>
+</ul>
+
+</div>
+
+<p style="text-align:right; font-size: 75%;">powered by <a 
+href="http://www.greenstone.org/greenstone3-home">greenstone3</a></p>
+
+</body>
+</html>
Index: gs3-extensions/i-jetty/trunk/src/resources/web.xml
===================================================================
--- gs3-extensions/i-jetty/trunk/src/resources/web.xml	(revision 23969)
+++ gs3-extensions/i-jetty/trunk/src/resources/web.xml	(revision 23969)
@@ -0,0 +1,305 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<web-app
+   	xmlns="http://java.sun.com/xml/ns/javaee" 
+   	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+   	xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd" 
+   	version="3.0"> 
+  <!-- General description of your web application -->
+  
+  <display-name>GSDL3</display-name>
+  <description>
+    Greenstone digital library version 3.
+  </description>
+    
+  <context-param>
+    <param-name>webmaster</param-name>
+    <param-value>greenstone3@list.scms.waikato.ac.nz</param-value>
+    <description>
+      The EMAIL address of the administrator to whom questions
+      and comments about this application should be addressed.
+    </description>
+  </context-param>
+  
+  
+  
+   <servlet>
+    <servlet-name>dev</servlet-name>
+    <description>A new skin engine still in development based on the standard gsdl3 library program</description>
+    <servlet-class>org.greenstone.gsdl3.LibraryServlet</servlet-class>
+    <init-param>
+      <param-name>library_name</param-name>
+      <param-value>dev</param-value>
+    </init-param>
+    <init-param>
+      <param-name>site_name</param-name>
+      <param-value>localsite</param-value>
+    </init-param>
+    <init-param>
+      <param-name>interface_name</param-name>
+      <param-value>oran</param-value>
+    </init-param>
+    <init-param>
+      <param-name>receptionist_class</param-name>
+      <param-value>DefaultReceptionist</param-value>
+    </init-param>
+    <init-param>
+      <param-name>default_lang</param-name>
+      <param-value>en</param-value>
+    </init-param>
+  </servlet>
+
+  <servlet>
+    <servlet-name>Format</servlet-name>
+    <description>A new skin engine still in development based on the standard gsdl3 library program</description>
+    <servlet-class>org.greenstone.gsdl3.LibraryServlet</servlet-class>
+    <init-param>
+      <param-name>library_name</param-name>
+      <param-value>format</param-value>
+    </init-param>
+    <init-param>
+      <param-name>site_name</param-name>
+      <param-value>localsite</param-value>
+    </init-param>
+    <init-param>
+      <param-name>interface_name</param-name>
+      <param-value>oran</param-value>
+    </init-param>
+    <init-param>
+      <param-name>receptionist_class</param-name>
+      <param-value>FormatReceptionist</param-value>
+    </init-param>
+    <init-param>
+      <param-name>default_lang</param-name>
+      <param-value>en</param-value>
+    </init-param>
+  </servlet>
+
+  
+  <servlet>
+    <servlet-name>gs2library</servlet-name>
+    <description>Greenstone 2 lookalike library program: uses localsite with the gs2 interface</description>
+    <servlet-class>org.greenstone.gsdl3.LibraryServlet</servlet-class>
+    <init-param>
+      <param-name>library_name</param-name>
+      <param-value>library</param-value>
+    </init-param>
+    <init-param>
+      <param-name>site_name</param-name>
+      <param-value>localsite</param-value>
+    </init-param>
+    <init-param>
+      <param-name>interface_name</param-name>
+      <param-value>gs2</param-value>
+    </init-param>
+    <init-param>
+      <param-name>default_lang</param-name>
+      <param-value>en</param-value>
+    </init-param>
+    <init-param>
+      <param-name>session_expiration</param-name>
+      <param-value>1800</param-value>
+    </init-param>
+    <init-param>
+      <param-name>params_class</param-name>
+      <param-value>GS2Params</param-value>
+    </init-param>
+  </servlet>
+  
+  <servlet>
+    <servlet-name>nzdl-library</servlet-name>
+    <description>gsdl3 library program</description>
+    <servlet-class>org.greenstone.gsdl3.LibraryServlet</servlet-class>
+    <init-param>
+      <param-name>library_name</param-name>
+      <param-value>nzdl</param-value>
+    </init-param>
+    <init-param>
+      <param-name>site_name</param-name>
+      <param-value>nzdl</param-value>
+    </init-param>
+    <init-param>
+      <param-name>interface_name</param-name>
+      <param-value>nzdl</param-value>
+    </init-param>
+    <init-param>
+      <param-name>default_lang</param-name>
+      <param-value>en</param-value>
+    </init-param>
+    <init-param>
+      <param-name>params_class</param-name>
+      <param-value>NZDLParams</param-value>
+    </init-param>
+    <init-param>
+      <param-name>session_expiration</param-name>
+      <param-value>600</param-value>
+    </init-param>
+  </servlet>
+
+  <servlet>
+    <servlet-name>gateway</servlet-name>
+    <description>gsdl3 library based on gateway site and default interface. It uses SOAP to talk to localsite</description>
+    <servlet-class>org.greenstone.gsdl3.LibraryServlet</servlet-class>
+    <init-param>
+      <param-name>library_name</param-name>
+      <param-value>gateway</param-value>
+    </init-param>
+    <init-param>
+      <param-name>site_name</param-name>
+      <param-value>gateway</param-value>
+    </init-param>
+    <init-param>
+      <param-name>interface_name</param-name>
+      <param-value>default</param-value>
+    </init-param>
+    <init-param>
+      <param-name>default_lang</param-name>
+      <param-value>en</param-value>
+    </init-param>
+  </servlet>
+  
+  <servlet>
+    <servlet-name>gs3library</servlet-name>
+    <description>standard gsdl3 library program: uses localsite and the default interface</description>
+    <servlet-class>org.greenstone.gsdl3.LibraryServlet</servlet-class>
+    <init-param>
+      <param-name>library_name</param-name>
+      <param-value>gs3library</param-value>
+    </init-param>
+    <init-param>
+      <param-name>site_name</param-name>
+      <param-value>localsite</param-value>
+    </init-param>
+    <init-param>
+      <param-name>interface_name</param-name>
+      <param-value>default</param-value>
+    </init-param>
+    <init-param>
+      <param-name>default_lang</param-name>
+      <param-value>en</param-value>
+    </init-param>
+	<init-param>
+	 <param-name>allow_client_side_xslt</param-name>
+	 <param-value>true</param-value>
+	</init-param>
+  </servlet>
+
+  <!-- For client side text fetching -->
+  <servlet>
+    <servlet-name>grabtext</servlet-name>
+    <description>Grabs text for client-side display with minimal overhead.</description>
+    <servlet-class>org.greenstone.gsdl3.ClientSideServlet</servlet-class>
+  </servlet>
+  
+
+<!--
+<filter>
+  <filter-name>UrlRewriteFilter</filter-name>
+  <filter-class>org.tuckey.web.filters.urlrewrite.UrlRewriteFilter</filter-class>
+</filter>
+
+<filter-mapping>
+  <filter-name>UrlRewriteFilter</filter-name>
+  <url-pattern>/*</url-pattern>
+</filter-mapping>
+-->
+ 
+    <!-- Define mappings that are used by the servlet container to
+         translate a particular request URI (context-relative) to a
+         particular servlet.  The examples below correspond to the
+         servlet descriptions above.  Thus, a request URI like:
+
+           http://localhost:8080/{contextpath}/graph
+
+         will be mapped to the "graph" servlet, while a request like:
+
+           http://localhost:8080/{contextpath}/saveCustomer.do
+
+         will be mapped to the "controller" servlet.
+
+ Note: context path is determined by the servlet container - 
+ in Tomcat, specified in server.xml -kjdon
+         You may define any number of servlet mappings, including zero.
+         It is also legal to define more than one mapping for the same
+         servlet, if you wish to.
+    -->
+    <!--
+    
+    <servlet-mapping>
+      <servlet-name>controller</servlet-name>
+      <url-pattern>*.do</url-pattern>
+    </servlet-mapping>
+
+    <servlet-mapping>
+      <servlet-name>graph</servlet-name>
+      <url-pattern>/graph</url-pattern>
+    </servlet-mapping>
+    -->
+  
+  <servlet-mapping>
+    <servlet-name>dev</servlet-name>
+    <url-pattern>/dev</url-pattern>
+  </servlet-mapping>
+
+  <servlet-mapping>
+    <servlet-name>Format</servlet-name>
+    <url-pattern>/format</url-pattern>
+  </servlet-mapping>
+
+  <servlet-mapping>
+    <servlet-name>gs2library</servlet-name>
+    <url-pattern>/library</url-pattern>
+  </servlet-mapping>
+  
+  
+  <servlet-mapping>
+    <servlet-name>gs3library</servlet-name>
+    <url-pattern>/gs3library</url-pattern>
+  </servlet-mapping>
+
+  <servlet-mapping>
+    <servlet-name>grabtext</servlet-name>
+    <url-pattern>/grabtext</url-pattern>
+  </servlet-mapping>
+  
+
+  <!-- uncomment this if you want to use the SOAPMonitorService. You will also 
+  need to copy the SOAPMonitorApplet*.class files from 
+  gsdl3/comms/soap/axis/web/WEB-INF/classes to the gsdl3/web directory. See the 
+  comms/soap/axis/docs/install.html Appendix for details about how to use this -->
+  <!--
+  <servlet-mapping>
+    <servlet-name>SOAPMonitorService</servlet-name>
+    <url-pattern>/SOAPMonitor</url-pattern>
+  </servlet-mapping>
+  -->
+  <!-- uncomment this if you want the admin servlet -->
+  <!--
+  <servlet-mapping>
+    <servlet-name>AdminServlet</servlet-name>
+    <url-pattern>/servlet/AdminServlet</url-pattern>
+  </servlet-mapping>
+  -->
+
+  <!-- Define the default session timeout for your application,
+  in minutes.  From a servlet or JSP page, you can modify
+  the timeout for a particular session dynamically by using
+  HttpSession.getMaxInactiveInterval(). -->
+
+  <session-config>
+    <session-timeout>30</session-timeout>    <!-- 30 minutes -->
+  </session-config>
+
+  <!-- axis mime-mappings -->
+  <mime-mapping>
+    <extension>wsdl</extension>
+    <mime-type>text/xml</mime-type>
+  </mime-mapping>
+  
+  <mime-mapping>
+    <extension>xsd</extension>
+    <mime-type>text/xml</mime-type>
+  </mime-mapping>
+
+</web-app>
+
+