Index: /gs3-extensions/i-jetty/trunk/src/JAVA-TO-DEX.sh
===================================================================
--- /gs3-extensions/i-jetty/trunk/src/JAVA-TO-DEX.sh	(revision 23969)
+++ /gs3-extensions/i-jetty/trunk/src/JAVA-TO-DEX.sh	(revision 23970)
@@ -133,4 +133,6 @@
 
 echo ""
-echo "Run ./DEX-TO-SDCARD.sh to install the latest DEX files on the device"
+echo "####"
+echo "# Run ./DEX-TO-SDCARD.sh to install the latest DEX files on the device"
+echo "####"
 echo ""
Index: /gs3-extensions/i-jetty/trunk/src/README.txt
===================================================================
--- /gs3-extensions/i-jetty/trunk/src/README.txt	(revision 23969)
+++ /gs3-extensions/i-jetty/trunk/src/README.txt	(revision 23970)
@@ -6,7 +6,21 @@
 
 It relies on the environment variable ANDROID_SDK_HOME to determine
-where Android's SDK lives on your file system (primarily to be able to
-run 'adb' and 'dex').  If this is not set prior to running the scripts
-this extension provides, it can be set explicitly in setup.bash/bat.
+where the Android SDK lives on your file system, in a similar way
+JAVA_HOME gets used by many programs to determin where Java is
+installed on a particular computer.  The key programs we need to run
+from the Android SDK are 'adb' and 'dex'.  The most straight forward
+way to control this variable is to:
+
+  cp setup-android.bash.in setup-android.bash
+
+and then edit 'setup-android.bash' the value of **ANDROID-SDK-HOME**
+to be the top-level directory of where the Android SDK was installed to.
+
+Having done this, source the main setup file:
+
+  source setup.bash
+
+which automatically sources setup-android.bash if the ANDROID_SDK_HOME
+environment variable isn't set.
 
 Having sourced the setup file the two main steps are:
@@ -19,5 +33,5 @@
 The first step typically only needs to be done once. The second step is
 composed of three sub-steps, and may require the last two sub-steps to
-be repeated if the Java code is changed.
+be repeated if the Java code has been modified.
 
 Step 1
@@ -32,4 +46,16 @@
 need to have enabled it's application 'Development' mode (under
 Settings->Application)
+
+*************
+**Important**
+*************
+
+Having installed i-jetty, find the application on the Android device
+and launch it (but you don't have to go as far as starting the i-jetty
+server from within this application).  Launching i-jetty completes the
+installation of the application by creating the 'jetty' folder on the
+Android's SD-card, and populating it with the default configuration
+files for i-jetty.  The 'jetty' folder is needed for your setup procedure
+as it is where Greenstone-3 will be installed to.
 
 
Index: /gs3-extensions/i-jetty/trunk/src/WEBAPP-ROOT-TO-SDCARD.sh
===================================================================
--- /gs3-extensions/i-jetty/trunk/src/WEBAPP-ROOT-TO-SDCARD.sh	(revision 23969)
+++ /gs3-extensions/i-jetty/trunk/src/WEBAPP-ROOT-TO-SDCARD.sh	(revision 23970)
@@ -5,5 +5,6 @@
   echo "  => No valid directory to install to on Android device"
   echo "  => Did you run setup.bash before the Android device was in disk mode?"
-  echo "  => Alternatively, set the environment variable explicitly"
+  echo "  => Have you launched i-jetty at least once to create the 'jetty' directory on the sd-card?"
+  echo "  => If all else fails, you can set the environment variable SDCARD_WEBAPPS explicitly"
   exit -1
 fi
@@ -18,4 +19,5 @@
   mode="Updating"
 fi
+  echo "  => Have you launched i-jetty to create the 'jetty' directory on the sd-card?
 
 echo "#---"
@@ -41,4 +43,6 @@
   | xargs -I {} /bin/cp -u -v $GSDL3HOME/{} $SDCARD_GSDL3HOME/{}
 
+/bin/cp resources/index.html $SDCARD_GSDL3HOME/.
+/bin/cp resources/web.xml $SDCARD_GSDL3HOME/WEB-INF/.
 
 if [ ! -d $SDCARD_GSDL3HOME/sites/localsite ] ; then
@@ -54,6 +58,18 @@
 /bin/cp -u -v -r $GSDL3HOME/sites/localsite/collect/lucene-jdbm-demo $SDCARD_GSDL3HOME/sites/localsite/collect/.
 
+if [ ! -d $SDCARD_GSDL3HOME/sites/localsite/collect/lucene-jdbm-demo/index ] ; then
+  pushd $SDCARD_GSDL3HOME/sites/localsite/collect/lucene-jdbm-demo
+  unzip index.zip
+  popd
+fi
+
+echo ""
+echo "####"
+echo "# If not already done so, run: "
+echo "#   ./JAVA-TO-DEX.sh"
+echo "# to cross-compile the Greenstone code and supporting JAR files"
+echo "####"
+echo ""
 
 
 
-
Index: /gs3-extensions/i-jetty/trunk/src/setup.bash
===================================================================
--- /gs3-extensions/i-jetty/trunk/src/setup.bash	(revision 23969)
+++ /gs3-extensions/i-jetty/trunk/src/setup.bash	(revision 23970)
@@ -57,5 +57,7 @@
   echo ""
   echo "  Using:"
+  echo ""
   echo "     $SDCARD_GSDL3HOME"
+  echo ""
   echo "  as the installation point for the Greenstone servlet"
   echo ""
@@ -78,11 +80,27 @@
 
 echo ""
+echo "======"
 echo "If this is the first time you have installed Greenstone on the Android device, "
 echo " run:"
+echo ""
+echo "   adb install i-jetty-2.2-signed.apk"
+echo ""
+echo "to install jetty on your device, followed by"
+echo ""
 echo "  ./WEBAPP-ROOT-TO-SDCARD.sh"
 echo ""
+echo "to set up tGreenstone's 'web' directory within the i-jetty webapps area."
 echo "Then:"
 echo ""
 echo "  ./JAVA-TO-DEX.sh"
+echo ""
+echo "to cross-compile Greenstone java code to the Android DEX format."
+echo ""
+echo "Finally run:"
+echo ""
+echo "  ./DEX-TO-SDCARD.sh"
+echo ""
+echo "to install the cross-compiled files on the Android device"
+echo "======"
 echo ""
 
@@ -90,2 +108,4 @@
 
 
+
+