Index: other-projects/tipple-android/trunk/tipple-store/geodata/hamilton.loc
===================================================================
--- other-projects/tipple-android/trunk/tipple-store/geodata/hamilton.loc	(revision 23980)
+++ other-projects/tipple-android/trunk/tipple-store/geodata/hamilton.loc	(revision 23980)
@@ -0,0 +1,550 @@
+<?xml version="1.0" encoding="UTF-8" ?> 
+<tour>
+
+<location>
+  <latitude>-37.80608675</latitude>
+  <longitude>175.3029395</longitude>
+  <radius>0.01</radius>
+  <title>Beginning of gardens</title>
+  <text>
+    Welcome to the Hamilton Gardens. Hamilton Gardens is not a
+    traditional botanic garden. We like to say, that while botanic
+    gardens are collections of plants, Hamilton Gardens is a
+    collection of gardens. So we have taken lots of different kinds of
+    garden designs and collected them together in one place. We have
+    organized those gardens into five collections: Paradise Garden
+    collection, The Productive Garden collection, Fantasy garden
+    collection, Cultivar Garden collection and a landscape garden
+    collection. Hamilton Gardens itself started in 1964 and was
+    developed in kind of a hodgepodge sort of way until the 1980s when
+    a new overall plan was laid out.
+  </text>
+</location>
+
+<location>
+  <latitude>-37.806534</latitude>
+  <longitude>175.30264764</longitude>
+  <radius>0.01</radius>
+  <title>Beginning of paradise garden</title>
+  <text>
+    You are now at the paradise gardens. The reason why they're called
+    paradise gardens is because they all follow idea that a garden is
+    a kind of a paradise, so it's a refuge or retreat from the
+    everyday world. So they're all small walled gardens, enclosed
+    gardens. The word paradise comes from an old Persian word that
+    means enclosed garden. We have brought together here different
+    designs from different eras and different places around the
+    world. The paradise gardens are the most well known ones of all
+    our garden collections. We have used actual classic garden designs
+    that have been highly influential on gardens.
+  </text>
+</location>
+<location>
+  <latitude>-37.806782</latitude>
+  <longitude>175.3030759</longitude>
+  <radius>0.007</radius>
+  <title>Egyptian Court</title>
+  <text>
+    These are two statues that were first erected when the area was developed/ 
+    They're Egyptian to recognize the origin
+    of gardening in the Egyptian Nile Delta.
+  </text>
+</location>
+
+<location>
+  <latitude>-37.8066662</latitude>
+  <longitude>175.30305895</longitude>
+  <radius>0.005</radius>
+  <title>Japanese Garden</title>
+  <text>
+This is a Japanese Garden of Contemplation. There are certain key elements to look out for here, such as the kind of paradise element; this is a miniaturised, a very abstract version of nature. So everything here is very tightly controlled, and yet, represents something in nature. So some people like to think of this as a miniature landscape. You might say that the moss here is like fields, you know like we're flying across the fields. 
+The other thing to look out for in the Japanese Garden of Contemplation is the rocks and the rock placement. Have a look at the three rocks. When you look at them they don't look like much special but they are a classic kind of Confucian arrangement; where the two little rocks are bowing to the big rock there, which tells you something about respect for authority and respect to your elders. So there's coded messages in the garden, which it gives you a lot of pleasure and is fun to try and deconstruct or decode.
+
+The Japanese garden tries to create something like an abstract version of nature. For example, if  look at the trees. See how the branches are all trained to be straight out there and the trunk is curved; you look at very, very old pine trees they actually do that by themselves. But this is a very young pine tree but it's trained to look old. We don't want something that's a hundred feet tall because that would be out of scale with the garden. So Japanese gardens are a bit like Bonsai: it's trained to look very, very old and very big, but actually they're quite young and they're quite small.
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.8065514565</latitude>
+  <longitude>175.3029906750</longitude>
+  <radius>0.014</radius>
+  <title>Japanese Rock Garden</title>
+  <text>
+A Japanese garden is not all revealed to you in one grand moment. It's sort of revealed to you in stages. This part is often called the Zen garden. Its proper name is karesansui which means dry landscape or water mountain landscape. Again, obviously the rock placement is crucial. It's not something that we're necessarily trained to see. There are never any flowers in here; they're always pruned off. The classic kind of interpretation of this landscape is that it is a shoreline. So the gravel is the water and the swirling patterns of the current and then we have the headland from the islands and so on. 
+
+There are no flowers as it is thought that bright colours will disturb the tranquillity of the views. It's supposed to be very calming. The background is left blank; so it's as if they're drawn on a blank sheet of paper, and they are a bit like the landscapes that are drawn on silk screen scrolls. They use a lot of negative space when they're painting. 
+
+A similar effect can be seen when looking at the water. The rocks up close to us a really big and all the rocks on the far shore are kind of small, which it accentuates the distance.  So again it's a vast landscape in miniature, collected here for us. The Japanese garden designers take a lot of care to replicate the patterns in nature; the way that the water arose, the land and the way that the trees grow over the water. 
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.8066596</latitude>
+  <longitude>175.3033258</longitude>
+  <radius>0.007</radius>
+  <title>Entrance to English Garden</title>
+  <text>
+Now we jump fast forward into the late 1800's; maybe early 20th Century and into England. There was a kind of back to nature type drive happening in response to all the industrialisation and things that was happening in England at the time. 
+What we've done here is we've taken three classic kind of garden designs, all based on layouts that were done by Gertrude Jekyll and her friend Lutyen. There is a long border, the collector's  garden and a white garden.
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.8065417</latitude>
+  <longitude>175.3033681</longitude>
+  <radius>0.005</radius>
+  <title>Long Border</title>
+  <text>
+The long border is just simply what it says, it's just a big long path with flowers either side; mostly annuals and some perennials and mixed border, as they say. The warm colours are in the middle and the cool colours are at the end. It has the reds and the oranges and the yellows around the middle, and then at the end all the blues and the more pastely, pinky, bluey things. It's actually quite carefully put together. 
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.806508</latitude>
+  <longitude>175.30349805</longitude>
+  <radius>0.007</radius>
+  <title>Collector's Garden</title>
+  <text>
+This is an English collector's garden. This is the garden that the plant collectors really like. By this stage in European garden history, lots and lots of plants have been collected from all around the world. People went to all sorts of interesting places and bring back all these plants, and growing them in their gardens. So, while the other kind of garden traditions are based a lot on what was available natively in that location at that time; this is one of those gardens that brings lots of interesting planting material together. This is a copy of a pavilion that exists that Millmead house. 
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.80661782</latitude>
+  <longitude>175.3035174</longitude>
+  <radius>0.007</radius>
+  <title>White Garden</title>
+  <text>
+There's not just white flowers in here; there is also silver foliage like one the big trees. 
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.806797</latitude>
+  <longitude>175.3035393</longitude>
+  <radius>0.004</radius>
+  <title>Entrance to Chinese Garden</title>
+  <text>
+This is the Chinese Scholar's garden. This is the oldest one from all the paradise gardens. They go right back to second century if we like; although lots of these design elements were common to lots of different viewers. This garden tells the story of a life cycle. Along with the Japanese garden tradition, the Chinese gardeners collected rocks. And one of the things that the rocks connects to is those Chinese scrolls and the scroll art, and those paintings they would do of those amazing kind of mythical mountain ranges where the immortals were supposed to dwell. So this has been a miniature. Again we've got these big blank walls there with the rocks against them; so the classic opening. 
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.8067807</latitude>
+  <longitude>175.3039754</longitude>
+  <radius>0.005</radius>
+  <title>The Entrance</title>
+  <text>
+One of the interesting things about this garden is the contrast, so this is the dark area; its covered in Jasmine and it smells really good when it's in flower. So there's dark and then there's light inside and outside and so on. So in terms of that story of that lifecycle, I guess that's kind of birth. 
+Again, there's a kind of representation of nature here that much less restrained and much less abstract  than the Japanese version. 
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.80675698</latitude>
+  <longitude>175.3039148</longitude>
+  <radius>0.004</radius>
+  <title>Tree, Rock and Bridge</title>
+  <text>
+The rock in the enclosure there came from the bottom of Lake Taihu in China. It got shipped over here. The gardeners putt a different bonsai three there every month.
+	The bridge is not straight to stop the dragons coming across it. They're also dragon shapes represented on the top of those walls. In this garden you can see plants native to china. For the Chinese certain plants had strong associations. For example, the bamboo represented uprightness and strength. 
+
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.8066641092</latitude>
+  <longitude>175.3039830923</longitude>
+  <radius>0.005</radius>
+  <title>Monk in Grotto</title>
+  <text>
+The cave holds a littel statue of a monk.
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.80680524</latitude>
+  <longitude>175.30421622</longitude>
+  <radius>0.005</radius>
+  <title>The High Point</title>
+  <text>
+This point symbolises the high point of your life; you get to this point and then you stand up here and you survey where you've been. It is a restful garden because there is a lot of green and not many flowers, just some shade. And at the end of the path, you find yourself back where you began.
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.80686102</latitude>
+  <longitude>175.30338661</longitude>
+  <radius>0.005</radius>
+  <title>Entrance to Modernist Garden</title>
+  <text>
+This is the modernist garden based on the designs of Thomas Church; most of his famous designs are in California. This garden represents a domestic backyard. All these plants here are specifically native plants. In America, gardens use American trees and American plants; the ones we used were mostly from Southern California. Some of them come from the east coast but most of them come from the west coast. 
+
+The design is very modernist; there's no symmetry and everything's kind of curvy. All the materials are kind of space age materials of the time. 
+
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.80699413</latitude>
+  <longitude>175.30360142</longitude>
+  <radius>0.007</radius>
+  <title>American House</title>
+  <text>
+The intention when they built this garden was to symbolize the house with ranch sliders and one looks onto the back yard. Of course we can't build a whole house there so we just had a draft of it.
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.80688375</latitude>
+  <longitude>175.30317334</longitude>
+  <radius>0.005</radius>
+  <title>Indian Garden</title>
+  <text>
+
+The story behind this Indian garden is that we call it the Indian Shaba garden but it's really Persian. So the Persians came from Mongolia; conquered a whole lot of Asia and Western Europe and then settled down in Persia. After a few generations the Persians went eastwards and conquered a lot of northern Indian. They had come from a really dry, arid mountainous region; so for them, water and irrigation was really, really important, and you didn't waste it on big massive fountains. It was going to be really subtle, and it was going to serve the purpose of irrigation as well. By the time they had conquered India, the terrain was a lot flatter and water was a lot more plentiful, but they retained these kind of subtle elements. So there are irrigation channels and little bubbly fountains and water rills. So it's a classic case of something that started off as a design necessity; A couple of centuries later it was like a design exhibit; it's no longer necessary but people use it anyway.
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.80701817</latitude>
+  <longitude>175.30314905</longitude>
+  <radius>0.015</radius>
+  <title>Flower Beds</title>
+  <text>
+These four gardens get completely dug up twice a year, replace it with all new plants.  The gardeners don't use a lot of sprays but are very, very careful in their plant selections. They use a lot of original species rather than hybrids. Changing all the plants takes them a whole week, the entire workforce of Hamilton Gardens. We close it off and they just distribute them out and replant it. Because the garden designers were Muslims and had a restriction on representations of a human and animal figures, the designs that you see are often abstracts of plants.
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.8071147203</latitude>
+  <longitude>175.3031462431</longitude>
+  <radius>0.010</radius>
+  <title>River View</title>
+  <text>
+The director of Hamilton Gardens, Peter Sergel, who designed these gardens; took a trip to India and took photos of fountains that look exactly like that. He brought the photos home and he had guys reproduce them like that, but they're very close to the original thing. These are kinds of gardens that would have been on the banks of the river.
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.80681071</latitude>
+  <longitude>175.30282743</longitude>
+  <radius>0.012</radius>
+  <title>Italian Renaissance Garden</title>
+  <text>
+This is the Italian Renaissance garden; so obviously it comes from the Renaissance period, a rebirth of culture, coming out of the dark ages in Europe, and specifically in Italy where it starts in Florence. So you had a coming together of lots of different historical forces. 
+
+You had this concentration of extreme wealth firstly, and that was partially because of the Catholic church had its headquarters, and it was taking a lot of money from the rest of Europe. You had an increased scientific knowledge and increased humanistic rationalism coming along, and with that there was a huge opening up of trades. 
+
+This is quite a big garden by our standards. It is based on this small private side garden of a much, much bigger garden complex in Italy. The Italian merchants were quite wealthy and they spent money on their gardens. At the same time there's an increased interest in antiquity; so part of their Roman heritage and kind of the Roman Empire and so on. So there's a really interesting congruent here between a new rationalistic, scientific view of the world and a Christian catholic view of the world, and a pagan classical view of the world; all that is coming together there. For example, the water feature is a pagan Romulus and Remus statue. 
+
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.8068357706</latitude>
+  <longitude>175.3027600050</longitude>
+  <radius>0.004</radius>
+  <title>Overview of Italian Garden</title>
+  <text>
+There's two kinds of key overall layout aspects. One is just the fact that there are three areas. So there's the outside bosco area beyond the garden in the forest, the untamed wilderness from which only the beasts live, and humans came from there but we don't live there anymore. The second area is the  orchards, the prater with its fruit trees and grapevines, and then the third one is the bottom part, which is the formal part of the garden. 
+
+Cicero talks about the fear of nature. There is the first nature, which is the untamed wilderness. The second nature, which is the farming, and then the third nature which is the garden. Third nature is nature plus art; whereas farming and gardening for food is nature plus science or functional behaviour. 
+
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.80698196</latitude>
+  <longitude>175.30278038</longitude>
+  <radius>0.005</radius>
+  <title>Water in the Italian Garden</title>
+  <text>
+Another layout aspect is the progression of water. There are actually little nozzles in the wall next to the grotto and they make this lovely little mist and this is a grotto that represents the female and fertile. Beyond that there's some little fountains that go down underneath it and then there's the big fountain in the middle; it spurts up, and it's a much more masculine. And then beyond that there's the mighty river. 
+
+Obviously, it is a highly symmetrical garden area. You may notice that from each garden you can't see any of the other gardens. This garden and the Indian garden are really good examples of what garden designers do; which is that they borrow scenery, they borrow the landscape from outside. So, if your neighbour has a really big, lovely oak tree; you can build that into your design. And so here's a great example. The river is not part of Hamilton gardens but it certainly makes a good impact when you come out here and see it. 
+
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.80704606</latitude>
+  <longitude>175.3024579</longitude>
+  <radius>0.006</radius>
+  <title>Medici Court</title>
+  <text>
+This is the Medici court; fantastic for outdoor theatre and so on, and the Medici gallery out there which is a little patio area.   </text>
+  <audio>
+  </audio>
+</location>
+
+<!-- maori gardens -->
+
+<location>
+  <latitude>-37.8068084</latitude>
+  <longitude>175.30235491</longitude>
+  <radius>0.005</radius>
+  <title>Tainui Landing</title>
+  <text>
+This is our newest garden and its consequently the one that we feel most proud of. It's called Te Parapara. Te Parapara is a traditional Maori garden of a kind. It's not a recreation of existing or historical Maori gardens as much as the Paradise gardens are, but it is much more of a narrative garden. It basically tells a story of the establishment of cultivated food crops in New Zealand. 
+
+The story begins at the gate; which represents the landing of Tainui waka in New Zealand in a kind of landfall. On the right hand side after the gate there is a pomaderris Tainui tree, big and tall. On the left is a little Pohutekawa tree. The Pohutukawa represents the tree that the Tainui waka was tied to when it first was landed at Tawhia. The Pomaderris represents the floor boards, and in the story of the landing of Tainui, the floor boards took root. We know that this is mythical because pomaderris was native. 
+  </text>
+
+<tts>
+This is our newest garden and its consequently the one that we feel most proud of. It's called Tee Paaraa-paaraa. Tee Paaraa-paaraa is a traditional Maori garden of a kind. It's not a recreation of existing or historical Maori gardens as much as the Paradise gardens are, but it is much more of a narrative garden. It basically tells a story of the establishment of cultivated food crops in New Zealand. 
+
+The story begins at the gate; which represents the landing of Tye-newee waakaa in New Zealand in a kind of landfall. On the right hand side after the gate there is a Poh-maadeerrees Tye-newee tree, big and tall. On the left is a little Poh-hootee-kawaa tree. The Poh-hootee-kawaa represents the tree that the Tye-newee waakaa was tied to when it first was landed at Kefeea. The Poh-maadeerrees represents the floor boards, and in the story of the landing of Tye-newee, the floor boards took root. We know that this is mythical because Poh-maadeerrees was native. 
+
+</tts>
+
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.80666313</latitude>
+  <longitude>175.30244908</longitude>
+  <radius>0.005</radius>
+  <title>Hoturoa Statue</title>
+  <text>
+The statue here is Hoturoa and he was the captain of the Tainui waka. He is carved in a Tahitian style to represent the fact that there was no kind of indigenous New Zealand art; they were all from the islands. And so all these plants are the plants that we here natively when the waka began arriving. Lots of these native plants were used as foods or textiles, or other kinds of useful things by the early Maori. They discovered that these plants had medicinal uses or you could eat them. 
+
+  </text>
+<tts>
+The statue here is Hotooro-aa and he was the captain of the Tye-newee waakaa. He is carved in a Tahitian style to represent the fact that there was no kind of indigenous New Zealand art; they were all from the islands. And so all these plants are the plants that we here natively when the waka began arriving. Lots of these native plants were used as foods or textiles, or other kinds of useful things by the early Maori. They discovered that these plants had medicinal uses or you could eat them. 
+
+  </tts>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.80704729</latitude>
+  <longitude>175.3022264</longitude>
+  <radius>0.009</radius>
+  <title>Gate</title>
+  <text>
+This structure represents an entrance way to a Pa or a Marae. The hut on the left of the entrance is a koutou which is a traditional food preparation structure and is outside because it's not tapu. Food preparation is not tapu; its noa, so it's not sacred. 
+
+The figures on the gate tell the story of the discovery of Oka, the use of ochre to preserve timber and preserve carvings. The ochre is made with a kind of iron rich clay, mineral rich clay that is often found in stream beds. There are lots of different colours: the red that you see most places to a yellow, a black and a white. It is mixed with fat which soaks into the timber and helps preserve the timber. Often times the coastal tribes would use shark fat. 
+
+Coming back to the figures on the gate, they tell the story of a man who was married and then the patupaiarehe, which are like the fairy people; came and stole his wife. He went to look for his wife and he couldn't ever find her because she would be there in the mist and then as soon as he went to get her she would disappear; so he could never get her back. So he went to see a Priest and the Priest said, &quot;You draw a circle around yourself with a mixture of kumara and ochre; smear it on the ground and then when she comes you'll embrace her and it will scare off the patupaiarehe&quot;. And the man did as he was told, and it worked. They say that the kind of the patupaiarehe who wanted to marry her still lives at the top of Mount Pirongia when the mist comes over that mountain. She is shown on the right hand side, her husband on the left side and the fairy people up the top. 
+
+The figures with square shaped faces represent Matariki, which is the Pleiades. This is the constellation that is quite important for timing the kumara harvest. For the Greeks it was seven sisters but for a Maori it's a woman and six daughters.
+  </text>
+<tts>
+This structure represents an entrance way to a Paa or a Ma-rye. The hut on the left of the entrance is a koutou which is a traditional food preparation structure and is outside because it's not tapoo. Food preparation is not tapoo; its noa, so it's not sacred. 
+
+The figures on the gate tell the story of the discovery of Oka, the use of ochre to preserve timber and preserve carvings. The ochre is made with a kind of iron rich clay, mineral rich clay that is often found in stream beds. There are lots of different colours: the red that you see most places to a yellow, a black and a white. It is mixed with fat which soaks into the timber and helps preserve the timber. Often times the coastal tribes would use shark fat. 
+
+Coming back to the figures on the gate, they tell the story of a man who was married and then the Paatoopai-aree, who are a kind of fairy people; came and stole his wife. He went to look for his wife and he couldn't ever find her because she would be there in the mist and then as soon as he went to get her she would disappear; so he could never get her back. So he went to see a Priest and the Priest said, &quot;You draw a circle around yourself with a mixture of koomera and ochre; smear it on the ground and then when she comes you'll embrace her and it will scare off the Paatoopai-aree. And so the man did as he was told, and it worked. They say that the kind of the Paatoopai-aree who wanted to marry her still lives at the top of Mount Peeron-keaa when the mist comes over that mountain. She is shown on the right hand side, her husband on the left side and the fairy people up the top. 
+
+The figures with square shaped faces represent Maataareekee, which is the Pleiades. This is the constellation that is quite important for timing the koomera harvest. For the Greeks it was seven sisters but for a Maori it's a woman and six daughters.
+  </tts>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.80718379</latitude>
+  <longitude>175.30205507</longitude>
+  <radius>0.008</radius>
+  <title>Koomera</title>
+  <text>
+This is the realm of the cultivated food crops. They were brought here on the waka; they're not native to New Zealand, and there's actually just recently been a really important archaeological discovery on the west coast of the South American continent of a chicken bone that proves contact between Polynesians and south Americans. The Polynesians came to south America. When Columbus got to South America and discovered that there were chickens there. They didn't know why and at the same time Polynesians have got kumara, and kumara is native to south America. It doesn't appear in Europe; it's a new world crop. So there are theories that Polynesians came from Taiwan or they came from the old world. It leaves that question: Where did they get the kumara from? 
+
+The kumara we've got growing in this area was the most important crop for Maori. It was the  number one source of carbohydrate for them. All other the native plants together did not provide any productive capacity of this kind; the ease of its cultivation and so on. Kumara doesn't set seed in New Zealand because it is too cold. So every season they have to sort out the tubas that they're going to keep for the next year's planting and the tubas they're going to eat.
+
+	The maori accumulated a vast knowledge on this problem of how to make sure that they have got enough kumara for the next crop. When the European explorers got here they had this huge plantation of really well organized plantations of kumara. 
+
+So this entire garden is now set up for kumara planting in a central position. All kumara in this garden gets harvested and the first bit gets presented to the Maori King and then the rest of it gets eaten in a big hangi. The Hamilton Gardens grow at least two of the original four varieties from pre-European times. When Europeans got here and brought bigger, better kumara from South America, the Maori gardeners started using those as they yield bigger tubers. The old types of kumara got lost and then in the 1960s or 1970s the Crown science people were looking for the old varieties but could not find them anywhere. They had to go to a Japanese scientist who had been out here in New Zealand and got tubers to store them in Japan. So these old types that we have growing here owe their existence to a Japanese scientist.
+
+You will see that each plant is planted in a mound. The mound is there for lots of reasons. It increases the amount of sunlight that hits the ground, to keep it warmer for longer; especially when the sun gets low. You can't plant kumara until November and so it's really crucial to keep the end of the season as far away as possible. April, May; and the sun is getting quite low in the sky. Another aspect is increased drainage so the tubas don't rock. It also provides soil improvement and Maori gardening sites are usually  discovered by the existence of borough pits, basically big holes in the ground where good soil; which is usually very, very sandy; very pumicey, would be dug up and watered. So the soil you see here is full of rocks and pumice and sand to make it much better draining than it otherwise would be. So we find very advanced soil improvement techniques that are  certainly far beyond hunter gatherer type societies. 
+
+  </text>
+
+<tts>
+This is the realm of the cultivated food crops. They were brought here on the waakaa; they're not native to New Zealand, and there's actually just recently been a really important archaeological discovery on the west coast of the South American continent of a chicken bone that proves contact between Polynesians and south Americans. The Polynesians came to south America. When Columbus got to South America and discovered that there were chickens there. They didn't know why and at the same time Polynesians have got koomera, and koomera is native to south America. It doesn't appear in Europe; it's a new world crop. So there are theories that Polynesians came from Taiwan or they came from the old world. It leaves that question: Where did they get the koomera from? 
+
+The koomera we've got growing in this area was the most important crop for Maori. It was the  number one source of carbohydrate for them. All other the native plants together did not provide any productive capacity of this kind; the ease of its cultivation and so on. Koomera doesn't set seed in New Zealand because it is too cold. So every season they have to sort out the tubas that they're going to keep for the next year's planting and the tubas they're going to eat.
+
+	The maori accumulated a vast knowledge on this problem of how to make sure that they have got enough koomera for the next crop. When the European explorers got here they had this huge plantation of really well organized plantations of koomera. 
+
+So this entire garden is now set up for koomera planting in a central position. All koomera in this garden gets harvested and the first bit gets presented to the Maori King and then the rest of it gets eaten in a big hangi. The Hamilton Gardens grow at least two of the original four varieties from pre-European times. When Europeans got here and brought bigger, better koomera from South America, the Maori gardeners started using those as they yield bigger tubers. The old types of koomera got lost and then in the 1960s or 1970s the Crown science people were looking for the old varieties but could not find them anywhere. They had to go to a Japanese scientist who had been out here in New Zealand and got tubers to store them in Japan. So these old types that we have growing here owe their existence to a Japanese scientist.
+
+You will see that each plant is planted in a mound. The mound is there for lots of reasons. It increases the amount of sunlight that hits the ground, to keep it warmer for longer; especially when the sun gets low. You can't plant koomera until November and so it's really crucial to keep the end of the season as far away as possible. April, May; and the sun is getting quite low in the sky. Another aspect is increased drainage so the tubas don't rock. It also provides soil improvement and Maori gardening sites are usually  discovered by the existence of borough pits, basically big holes in the ground where good soil; which is usually very, very sandy; very pumicey, would be dug up and watered. So the soil you see here is full of rocks and pumice and sand to make it much better draining than it otherwise would be. So we find very advanced soil improvement techniques that are  certainly far beyond hunter gatherer type societies. 
+
+  </tts>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.80716643</latitude>
+  <longitude>175.30177131</longitude>
+  <radius>0.004</radius>
+  <title>Mulberry Tree</title>
+  <text>
+This is paper mulberry which can be used to make a type of cloth out of it. During the summer it grows like a weed. In the winter time it just dies down. In Northland it grows for the whole year but where there's a frost, it will die back. 
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.8072314</latitude>
+  <longitude>175.30184732</longitude>
+  <radius>0.005</radius>
+  <title>Taro Plant</title>
+  <text>
+This one is a Taro plant. You can eat the leaves and its root.
+  </text>
+
+  <tts>
+This one is a Taaro plant. You can eat the leaves and its root.
+  </tts>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.8071683645</latitude>
+  <longitude>175.3020411730</longitude>
+  <radius>0.014</radius>
+  <title>Three Houses</title>
+  <text>
+
+You can see three structures here. They are really interesting and the main focus point. All three of them are storage buildings. When the European missionaries arrived, they reported that the most elaborate sanctuary buildings in the village were not the chief's houses; they were the store rooms. There's an entirely alternative approach to property compared to the European approach. The rua goes down underground so it keeps the kumara's cool and dry. The patika and the whatarangi are raised up, to give security from feeding kids and rats.
+
+Storage house design varied depending on the tribe... some reports would say a whatarangi was 10 metres in the air with one single pole, and it was for dead people; they would put skeletons up there. 
+If you look at the bottom panel of teh largest structure  - that's a replica of a piece of wood that was found buried in a garden in Chartwell in the 1970s; this original piece of wood now belongs to the Waikato museum. So every effort has been made in this garden to make sure that the carvings are accurate, to pre-European carving style. Because of course, like any art form, there's changes in style and changes in technique, so where practical they have used traditional stone tools and traditional patterns 
+
+  </text>
+<tts>
+
+You can see three structures here. They are really interesting and the main focus point. All three of them are storage buildings. When the European missionaries arrived, they reported that the most elaborate sanctuary buildings in the village were not the chief's houses; they were the store rooms. There's an entirely alternative approach to property compared to the European approach. The rua goes down underground so it keeps the koomera's cool and dry. The pateeke and the fataran-kee are raised up, to give security from feeding kids and rats.
+
+Storage house design varied depending on the tribe... some reports would say a fataran-kee was ten metres in the air with one single pole, and it was for dead people; they would put skeletons up there. 
+If you look at the bottom panel of the largest structure  - that's a replica of a piece of wood that was found buried in a garden in Chartwell in the 1970s; this original piece of wood now belongs to the Waikato museum. So every effort has been made in this garden to make sure that the carvings are accurate, to pre-European carving style. Because of course, like any art form, there's changes in style and changes in technique, so where practical they have used traditional stone tools and traditional patterns 
+
+  </tts>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.760980725</latitude>
+  <longitude>175.308644771</longitude>
+  <radius>0.02</radius>
+  <title>17 Ernest Road</title>
+  <text>
+    Ah our home at last.  I'll just sit down and have a nice rest ...
+  </text>
+  <audio>
+  </audio>
+</location>
+
+
+<location>
+  <latitude>-37.76091</latitude>
+  <longitude>175.309101</longitude>
+  <radius>0.02</radius>
+  <title>21 Ernest Road</title>
+  <text>
+    The home of my friends Cara and Kaden.
+  </text>
+  <audio>
+  </audio>
+</location>
+
+<!-- Univeristy of Waikato -->
+
+
+<location>
+  <latitude>-37.788972</latitude>
+  <longitude>175.317668</longitude>
+  <radius>0.03</radius>
+  <title>G-Block</title>
+  <text>
+    This building houses the departments of Computer Science, Mathematics
+    and Statistics.
+
+    Here are some Maori names:
+      kumara, tapu, Waikato, Tainui, Patika, Whatarangi, Taro, Matariki, Pirongia, Patupairehe, Marae, Pa, Hoturoa, Te Parapara, Pohutekawa, Kawhia, Pomaderris
+  </text>
+  <tts>
+    This building houses the departments of Computer Science, Mathematics
+    and Statistics.
+
+    Here are some Maori names:
+      koomera, tapoo, Waikato, Tye-newee, Pateeke, Fataran-gee, Taaro, Maataareekee, Peeron-keaa, Paatoopai-areehee, Maarai, Paa, Hotooro-aa, Tee Paaraa-paaraa, Poh-hooteekawaa, Kefeea, Poh-maadeerrees
+  </tts>
+  <audio>
+  </audio>
+</location>
+
+<location>
+  <latitude>-37.78764</latitude>
+  <longitude>175.317732</longitude>
+  <radius>0.05</radius>
+  <title>The Library</title>
+  <text>
+  </text>
+  <audio>
+  </audio>
+</location>
+
+
+<!-- Empty space -->
+<!-- geo fix 175.308644771 -37.7605 -->
+
+<!-- 17 Ernest Road -->
+<!-- geo fix 175.308644771 -37.760980725 -->
+
+<!-- 21 Ernest Road -->
+<!-- geo fix 175.309101 -37.76091 -->
+
+<!-- Garden start -->
+<!-- geo fix 175.3029395 -37.80608675 -->
+
+    	
+</tour>