Index: /main/trunk/greenstone2/macros/dhivehi2.dm
===================================================================
--- /main/trunk/greenstone2/macros/dhivehi2.dm	(revision 24012)
+++ /main/trunk/greenstone2/macros/dhivehi2.dm	(revision 24013)
@@ -102,5 +102,5 @@
 _textmustbelongtogroup_ [l=dv] {ÞÞš ÞÞŠÞÞªÞÞ§ ÞÞ­ÞÞªÞÞ°ÞÞªÞÞªÞÞŠÞÞ° ÞÞšÞÞŠÞÞŠÞÞ§ÞÞªÞÞ° "_cgiargug_" ÞÞ°ÞÞ«ÞÞ§ÞÞš ÞÞŠÞÞšÞÞ¬ÞÞšÞÞ§ÞÞ° ÞÞ¬ÞÞ­ÞÞ°ÞÞŠÞÞ° ÞÞŠÞ¢ÞªÞÞ«ÞÞ§ÞÞŠÞÞ°ÞÞŠÞÞŠÞÞš ÞÞ¬ÞÞ°ÞÞ¬ÞÞšÞÞ°}  
 
-_textmessageinvalid_ [l=dv] {ÞÞšÞÞŠ ÞÞ¬ÞÞšÞÞŠÞÞ°ÞÞ§ ÞÞŠÞÞªÞÞ§ ÞÞ­ÞÞªÞÞ°ÞÞªÞÞªÞÞŠÞÞ° ÞÞŠÞÞšÞÞ° ÞÞšÞÞ° ÞÞªÞÞŠÞÞ°ÞÞ¬ÞÞ­.  <br> _If_(_cgiargug_,[_textmustbelongtogroup_]<br>) ÞÞšÞÞŠÞÞŠÞÞ§ÞÞªÞÞ¬ ÞÞ°ÞÞ©ÞÞ°ÞÞ°ÞÞ¯ÞÞ° ÞÞ«ÞÞŠÞ ÞÞ­ÞÞ° ÞÞŠÞÞš ÞÞ§ÞÞ°ÞÞ¯ÞÞ° ÞÞ­ÞÞªÞÞ°ÞÞªÞÞªÞÞ° ÞÞ¬ÞÞ¬ÞÞ°.}  
+_textmessageinvalid_ [l=dv] {<br>) ÞÞšÞÞŠÞÞŠÞÞ§ÞÞªÞÞ¬ ÞÞ°ÞÞ©ÞÞ°ÞÞ°ÞÞ¯ÞÞ° ÞÞ«ÞÞŠÞ ÞÞ­ÞÞ° ÞÞŠÞÞš}
 
 _textmessagefailed_ [l=dv] {ÞÞ«ÞÞŠÞÞÞ­ÞÞ° ÞÞªÞÞŠÞÞŠ ÞÞ§ÞÞ°ÞÞ¯ÞÞ° ÞÞŠÞÞÞŠÞ
@@ -188,5 +188,5 @@
 _textconf_ [l=dv] {ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞÞ° ÞÞ®ÞÞ°ÞÞšÞÞŠÞÞÞªÞÞŠÞÞ°}  
 _textdel_ [l=dv] {ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞÞ° ÞÞ®ÞÞ¬ÞÞªÞÞŠÞÞ°}  
-
+_textexpt_ [l=dv] {ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞÞ° ÞÞ¬ÞÞ°ÞÞ°ÞÞ¯ÞÞ° ÞÞªÞÞªÞÞ°}  
 
 _textdownloadingfiles_ [l=dv] {ÞÞŠÞÞšÞÞ°ÞÞŠÞÞ° ÞÞŠÞÞªÞÞ°ÞÞ¯ÞÞ° ÞÞªÞÞŠÞÞ©}  
@@ -256,5 +256,6 @@
 _textatc_ [l=dv] {ÞÞš ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞÞ°ÞÞ¬ ÞÞŠÞ¢Þ§ÞÞŠÞÞª}  
 
-
+_texttiasd_ [l=dv] {ÞÞš ÞÞšÞÞªÞÞŠÞÞ© ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞÞ°ÞÞŠÞÞš ÞÞ¬ÞÞªÞÞ¬ÞÞšÞÞŠÞÞšÞÞ§ ÞÞŠÞÞªÞÞ«ÞÞ§ÞÞª ÞÞŠÞÞŠÞÞŠÞ
+Þ§ ÞÞšÞÞªÞÞ¬ÞÞ°. ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞÞ° ÞÞªÞÞŠÞÞŠÞÞŠ ÞÞŠÞÞ°ÞÞ§ÞÞ¬ÞÞ­ÞÞšÞÞª ÞÞšÞÞšÞÞªÞÞ° ÞÞ¬ÞÞ°ÞÞ§ÞÞ¬.}  
 
 _textypits_ [l=dv] {ÞÞ©ÞÞªÞÞŠÞÞ°ÞÞŠÞÞš ÞÞªÞÞš ÞÞšÞÞ§ÞÞª ÞÞŠÞÞ°ÞÞŠÞÞšÞÞ¬ÞÞ© ÞÞšÞÞ©ÞÞŠÞÞš ÞÞ®ÞÞ° ÞÞ©ÞÞŠÞÞªÞÞ°. ÞÞšÞÞŠÞÞŠÞÞª "ÞÞŠÞÞªÞÞ«ÞÞ§ÞÞª ÞÞ¬ÞÞ°ÞÞªÞÞ§:"ÞÞ°ÞÞ­ÞÞ°ÞÞŠÞÞšØ ÞÞªÞÞšÞÞŠÞÞ° ÞÞšÞÞªÞÞŠÞÞ° "ÞÞŠÞÞš ÞÞ­ÞÞ§: ÞÞŠÞÞŠÞÞ° ÞÞŠÞÞ° ÞÞšÞÞ°ÞÞ§ÞÞ§}  
@@ -270,5 +271,7 @@
 _textad_ [l=dv] {ÞÞ­ÞÞ§ ÞÞšÞÞªÞÞªÞÞªÞÞŠÞÞ©}  
 
-
+_texttftysb_ [l=dv] {ÞÞŠÞÞŠÞÞŠÞ
+ÞªÞÞ°ÞÞ§ÞÞŠÞÞšÞÞ§ ÞÞŠÞÞšÞÞ°ÞÞŠÞÞ° ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞÞŠÞÞ° ÞÞ¬ÞÞ°ÞÞªÞÞ¬ÞÞ­ÞÞ¬. ÞÞšÞÞ§ÞÞª ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞÞ°ÞÞŠÞÞš ÞÞªÞÞš ÞÞŠÞÞšÞÞ° ÞÞŠÞÞªÞÞ° ÞÞŠÞÞŠÞÞ§Þ
+ÞŠÞÞ° ÞÞŠÞÞ§ÞÞªÞÞªÞÞ° ÞÞ¬ÞÞ¬ÞÞ°. ÞÞ¬ÞÞ¬ÞÞ°ÞÞ«ÞÞ© ÞÞŠÞÞšÞÞ°ÞÞ¬ ÞÞ¬ ÞÞ®ÞÞ© ÞÞšÞÞ°ÞÞ§ÞÞ¬. ÞÞŠÞÞšÞÞ°ÞÞ° ÞÞ§ÞÞŠÞÞŠÞÞªÞÞ§ÞÞ© ÞÞªÞÞšÞÞŠÞÞŠ ÞÞ§ÞÞ° ÞÞŠÞÞªÞÞ°Ø ÞÞŠÞÞš ÞÞ¬ÞÞ°ÞÞŠÞÞšÞÞ° ÞÞªÞÞšÞÞŠÞÞŠ ÞÞ¬ÞÞ° ÞÞ¬ÞÞ°ÞÞ¬ÞÞ°ÞÞšÞÞ°}  
 
 _textis_ [l=dv] {ÞÞšÞÞ°ÞÞšÞÞ° ÞÞ¯ÞÞ°}  
@@ -285,5 +288,5 @@
 
 
-_texttryagain_ [l=dv] { ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞ ÞÞŠÞÞª ÞÞ¬ÞÞªÞÞŠÞÞ° ÞÞ¬ÞÞ¬ÞÞ° <a href="_httppagecollector_" target=_top> </a> ÞÞŠÞÞš ÞÞšÞÞªÞÞŠÞÞ° ÞÞŠÞÞŠÞÞ°ÞÞŠÞÞ°ÞÞ®ÞÞ°ÞÞ§.}  
+_texttryagain_ [l=dv] {ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞ ÞÞŠÞÞª ÞÞ¬ÞÞªÞÞŠÞÞ° ÞÞ¬ÞÞ¬ÞÞ° <a href="_httppagecollector_" target=_top> </a> ÞÞŠÞÞš ÞÞšÞÞªÞÞŠÞÞ° ÞÞŠÞÞŠÞÞ°ÞÞŠÞÞ°ÞÞ®ÞÞ°ÞÞ§.}  
 
 
@@ -300,5 +303,5 @@
 _textcolerr_ [l=dv] {ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞ ÞÞŠÞÞ°ÞÞŠÞÞŠÞÞ¬ÞÞ°}  
 
-
+_texttmpfail_ [l=dv] {ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞ ÞÞŠÞÞŠÞÞ°ÞÞŠÞÞ¬ÞÞ° ÞÞªÞÞªÞÞš. ÞÞ©ÞÞ¬ ÞÞŠÞÞŠÞÞŠÞÞ©: <ul> <li>ÞÞ°ÞÞ©ÞÞ°ÞÞ°ÞÞ¯ÞÞ°ÞÞŠÞÞ°  _gsdlhome_/tmp ÞÞŠÞÞ° ÞÞ¬ÞÞ°ÞÞ¬ÞÞ°ÞÞ¬ÞÞ° ÞÞ¬ÞÞ°</ul>  }  
 
 _textmkcolfail_ [l=dv] {ÞÞš ÞÞŠÞÞª ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞÞ°ÞÞ¬ ÞÞŠÞÞšÞÞ¬ÞÞ°ÞÞ°ÞÞ© ÞÞ®ÞÞšÞÞŠÞÞÞª ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞÞÞŠÞÞ° ÞÞªÞÞ¬ÞÞ°ÞÞ­ÞÞ®ÞÞ¬ÞÞ° ÞÞªÞÞš (mkcol.pl failed) ÞÞŠÞÞŠÞÞªÞÞŠÞÞªÞÞ¬ ÞÞ¬ÞÞ­ÞÞŠÞÞš:<ul><li> _gsdlhome_ ÞÞ¬ÞÞ°ÞÞ° ÞÞŠÞÞšÞÞ¬ÞÞ°ÞÞ°ÞÞ©ÞÞŠÞÞ° ÞÞšÞÞªÞÞªÞÞ¬ ÞÞªÞÞ°ÞÞŠ ÞÞ°ÞÞ©ÞÞ°ÞÞ°ÞÞ¯ÞÞŠÞÞ° ÞÞ¬ÞÞªÞÞ°<li> ÞÞ¬ÞÞ°ÞÞ®ÞÞ°.ÞÞ©ÞÞ¬ÞÞ°. ÞÞŠÞÞÞ° ÞÞ°ÞÞ°ÞÞšÞÞ°ÞÞ°ÞÞ¬ ÞÞŠÞÞ°ÞÞŠÞÞŠ</ul>}  
@@ -325,5 +328,5 @@
 _textcaec_ [l=dv] {ÞÞšÞÞ§ÞÞª ÞÞªÞÞš ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞÞŠÞÞ° ÞÞ¬ÞÞ°ÞÞ®ÞÞ°ÞÞ§}  
 _textbild_ [l=dv] {ÞÞŠÞÞšÞÞŠÞÞ° ÞÞšÞÞ®ÞÞšÞÞ° ÞÞ®ÞÞ°ÞÞ§}  
-
+_textintro_ [l=dv] {ÞÞŠÞÞšÞÞ° ÞÞšÞÞ¬ÞÞ°ÞÞ° ÞÞªÞÞŠÞÞ°ÞÞ§ }  
 _textconfirm_ [l=dv] {ÞÞŠÞÞŠÞÞŠÞÞªÞÞªÞÞªÞÞ°}  
 _textselect_ [l=dv] {ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞÞ° ÞÞšÞÞ§ÞÞªÞÞªÞÞ­}  
@@ -357,5 +360,5 @@
 _textgreenstone1_ [l=dv] {ÞÞ°ÞÞ©ÞÞ°ÞÞ°ÞÞ¯ÞÞ° ÞÞ®ÞÞ°ÞÞ°ÞÞ¬ÞÞŠÞÞÞŠÞÞ© ÞÞšÞÞšÞÞŠÞÞ° ÞÞŠÞÞšÞÞ°ÞÞŠÞÞ© ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞÞ°ÞÞ° ÞÞŠÞÞŠÞÞŠÞÞ°ÞÞ§ ÞÞ§ ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞÞ° ÞÞªÞÞ¬ÞÞ°ÞÞªÞÞŠÞÞ° ÞÞ­ÞÞªÞÞ° ÞÞªÞÞ§ ÞÞ®ÞÞ°ÞÞ°ÞÞ¬ÞÞŠÞÞÞ¬ÞÞ°. ÞÞ§ÞÞ®ÞÞŠÞÞŠÞÞ° ÞÞŠÞÞªÞÞ«ÞÞ§ÞÞª ÞÞ§ÞÞ§ ÞÞšÞÞ°ÞÞŠÞÞ¬ÞÞ° ÞÞªÞÞŠÞÞŠ ÞÞ©ÞÞ©ÞÞŠÞÞš ÞÞ§ÞÞ°ÞÞÞªÞÞ§ÞÞ¬ÞÞ®ÞÞ° ÞÞŠÞÞªÞÞŠÞÞšÞÞ®ÞÞ°ÞÞ­. ÞÞ°ÞÞ©ÞÞ°ÞÞ°ÞÞ¯ÞÞ° ÞÞªÞÞ¬ÞÞšÞÞŠÞÞšÞÞŠÞÞ© ÞÞšÞÞª ÞÞšÞÞŠÞÞ°ÞÞ° ÞÞšÞÞšÞÞŠÞÞ° ÞÞŠÞÞšÞÞ°ÞÞŠÞÞ© ÞÞ°ÞÞ®ÞÞ¬ÞÞ°ÞÞ°ÞÞ¬ ÞÞŠÞÞªÞÞ°. ÞÞŠÞÞš ÞÞšÞÞ© ÞÞªÞÞ¬ÞÞ°ÞÞ¯ ÞÞ§ÞÞš ÞÞšÞÞªÞÞŠÞÞ° ÞÞšÞÞ°ÞÞ¯ ÞÞŠÞÞšÞÞ°ÞÞ§ ÞÞ¬ ÞÞ¬ÞÞ©ÞÞŠÞÞš. ÞÞšÞÞ© ÞÞ¯ÞÞŠÞÞ° ÞÞ¯ÞÞ° ÞÞ®ÞÞ°ÞÞ°ÞÞ¬ÞÞŠÞÞÞ¬ÞÞ°. }  
 
-
+_textgreenstone2_ [l=dv] {ÞÞšÞÞª ÞÞšÞÞŠÞÞ°ÞÞ° ÞÞšÞÞšÞÞŠÞÞ° ÞÞŠÞÞšÞÞ°ÞÞŠÞÞ© ÞÞ®ÞÞ°ÞÞ°ÞÞ¬ÞÞŠÞ ÞÞ¬ÞÞ°ÞÞŠÞÞšÞÞ°ÞÞŠÞÞš (<a href="http://nzdl.org">http://nzdl.org</a>) ÞÞ°ÞÞ©ÞÞ°ÞÞ°ÞÞ¯ÞÞ° ÞÞ­ÞÞªÞÞ°ÞÞ®ÞÞ°ÞÞ¬ÞÞ° ÞÞªÞÞ¬ÞÞ°ÞÞšÞÞŠÞÞšÞÞ§ ÞÞŠÞÞ§ÞÞª ÞÞšÞÞ§ÞÞªÞÞŠÞÞ° ÞÞŠÞÞ§ÞÞ¬ÞÞ¬ÞÞ° ÞÞªÞÞ°ÞÞ§ÞÞ¬. ÞÞ®ÞÞ°ÞÞ°ÞÞ¬ÞÞŠÞÞÞ¬ ÞÞŠÞÞ§ÞÞª ÞÞŠÞÞ°ÞÞ°ÞÞŠÞÞ°ÞÞ°ÞÞŠÞÞ° ÞÞŠÞÞ°ÞÞ§ÞÞŠÞÞ­ÞÞ¬. ÞÞšÞÞ®ÞÞªÞÞ° ÞÞŠÞÞÞ° ÞÞŠÞÞš ÞÞ°ÞÞŠÞÞªÞÞ° ÞÞªÞÞªÞÞªÞÞ¬ ÞÞŠÞÞ§ÞÞª ÞÞ®ÞÞ°ÞÞŠÞÞ° ÞÞŠÞÞ°ÞÞ§ÞÞ§ÞÞ¬. ÞÞŠÞÞš ÞÞŠÞÞŠÞÞšØ ÞÞŠÞÞšÞÞ©ÞÞ°Ø ÞÞ°ÞÞ¬ÞÞ°ÞÞ°Ø ÞÞŠÞÞ¯ÞÞ©Ø ÞÞ°ÞÞ¬ÞÞšÞÞ° ÞÞŠÞÞš ÞÞšÞÞšÞÞ­ÞÞšÞÞŠÞÞªÞÞ¬ ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞÞ°ÞÞŠÞÞ° ÞÞšÞÞ¬ÞÞ­. ÞÞŠÞÞ¬ÞÞ° ÞÞšÞÞªÞÞšÞÞ° ÞÞŠÞÞ¬ÞÞ°ÞÞŠÞÞ°ÞÞŠÞÞ°ÞÞ¬ÞÞ° ÞÞšÞÞšÞÞ­.  }  
 
 _textplatformtitle_ [l=dv] {ÞÞŠÞÞŠÞÞŠ}  